summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorAilin Nemui <ailin@linux.localdomain>2015-07-09 14:20:30 +0200
committerAilin Nemui <ailin@linux.localdomain>2015-07-09 14:20:30 +0200
commita393c675400a41f7cc3df988c25242857da678a4 (patch)
treecde73e36ba77d02cdd1d761c20fbfae09d845270 /autogen.sh
parent6fcafc599350737d0d14f3c863af594efc391124 (diff)
downloadirssi-a393c675400a41f7cc3df988c25242857da678a4.zip
Introduce check for git commands in autogen
This avoids a misleading compile error when users try to `make` an incomplete (or non-git) check-out.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 466a5a05..dd556216 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,6 +18,10 @@ perl syntax.pl
echo "Creating ChangeLog..."
git log > $srcdir/ChangeLog
+if test "$?" -ne 0; then
+ echo "**Error**: ${PKG_NAME} Autogen must be run in a git clone, cannot proceed."
+ exit 1
+fi
files=`echo docs/help/in/*.in|sed -e 's,docs/help/in/Makefile.in ,,' -e 's,docs/help/in/,!,g' -e 's/\.in /.in ?/g'`
cat docs/help/in/Makefile.am.gen|sed "s/@HELPFILES@/$files/g"|sed 's/?/\\?/g'|tr '!?' '\t\n' > docs/help/in/Makefile.am